freeslot("sfx_rtpeel", "sfx_rtdrif")

addHook("ThinkFrame", do
	for player in players.iterate
		if player.mo and player.mo.skin == "running_tails"
					and player.kartstuff[k_drift]
					and P_IsObjectOnGround(player.mo)
					and not S_SoundPlaying(player.mo, sfx_rtdrif)
			S_StartSound(player.mo, sfx_rtdrif) 
			end
			end
			end)
			
addHook("ThinkFrame", function()
    for player in players.iterate
        if player.mo and player.mo.skin == "running_tails"
            and (not player.kartstuff[k_drift] or not P_IsObjectOnGround(player.mo))
        then
            S_StopSoundByID(player.mo, sfx_rtdrif)
        end
    end
end)

addHook("ThinkFrame", function()
    for player in players.iterate
        if player.mo and player.mo.skin == "running_tails" then
            -- Stop the engine sound
            for i = sfx_krta00, sfx_krta12 do
                S_StopSoundByID(player.mo, i)
            end
            for i = sfx_krtb00, sfx_krtb12 do
                S_StopSoundByID(player.mo, i)
            end
            for i = sfx_krtc00, sfx_krtc12 do
                S_StopSoundByID(player.mo, i)
            end
            for i = sfx_krtd00, sfx_krtd12 do
                S_StopSoundByID(player.mo, i)
            end
            for i = sfx_krte00, sfx_krte12 do
                S_StopSoundByID(player.mo, i)
            end
            for i = sfx_krtf00, sfx_krtf12 do
                S_StopSoundByID(player.mo, i)
            end
            for i = sfx_krtg00, sfx_krtg12 do
                S_StopSoundByID(player.mo, i)
            end
            for i = sfx_krth00, sfx_krth12 do
                S_StopSoundByID(player.mo, i)
            end
			for i = sfx_krti00, sfx_krti12 do
                S_StopSoundByID(player.mo, i)
            end
            if S_SoundPlaying(player.mo, sfx_ruburn) then
                S_StopSoundByID(player.mo, sfx_ruburn)
            end
            if S_SoundPlaying(player.mo, sfx_screec) then
                S_StopSoundByID(player.mo, sfx_screec)
            end
            if S_SoundPlaying(player.mo, sfx_drift) then
                S_StopSoundByID(player.mo, sfx_drift)
            end
        end
    end
end)

addHook("ThinkFrame", do
	for player in players.iterate
		if player.mo and player.mo.skin == "running_tails"
			if not (player.mo.peeloutdown)
				player.mo.peeloutdown = 0
			end
			if (player.cmd.buttons & BT_ACCELERATE)
			and (leveltime <= 244)
			and	player.kartstuff[k_boostcharge] > 0
			and player.mo.peeloutdown == 0
				player.mo.peeloutdown = 1
				S_StartSound(player.mo, sfx_rtpeel)
		end
					if not (player.cmd.buttons & BT_ACCELERATE)
				player.mo.peeloutdown = 0
			end
	end
end
end)	